<?php

namespace Groot\Covid19\Template;

use Groot\Covid19\Repository\{Covid19, Covid19Countries};
use function MongoDB\BSON\toJSON;

class TemplaterSetup
{

    public function fnCovidJsData($templater, &$escape, $data = 'all')
    {
        $escape = false;

        /** @var Covid19 $covid19GlobalRepo */
        $covid19GlobalRepo = \XF::app()->repository('Groot\Covid19:Covid19');
        $globalData = $covid19GlobalRepo->getGlobalData();

        /** @var Covid19Countries $covid19CountriesRepo */
         $covid19CountriesRepo = \XF::app()->repository('Groot\Covid19:Covid19Countries');
         $countriesData = $covid19CountriesRepo->getCountries('cases');

        $output = '<script>var covid19 = {';
       // $output .= '"all":' . json_encode($globalData->toArray());

        $output .= '"countries": [';

        foreach ($countriesData as $key => $countryData)
        {
            $output .= json_encode($countryData->toArray()) . ', ';
        }

        $output .= ']';


        $output .= '}; </script>';


        return $output;
    }
}