<?php

namespace Groot\Covid19\Repository;

use Groot\Covid19\Covid19 as Covid19Client;
use XF\Db\DuplicateKeyException;
use XF\Mvc\Entity\Repository;

class Covid19History extends Repository{

    private $handlerCache;

    public function getStatsTypePhrases(array $only = null)
    {
        $phrases = [];

        $handlerClass = \XF::extendClass('\Groot\Covid19\Stats\Covid19History');
        $handler = new $handlerClass('groot_covid19_history', $this->app());
        $phrases = array_merge($phrases, $handler->getStatsTypes());

        if (is_array($only))
        {
            $final = [];
            foreach ($only AS $k)
            {
                if (isset($phrases[$k]))
                {
                    $final[$k] = $phrases[$k];
                }
            }

            $phrases = $final;
        }

        return $phrases;
    }


}